# Interface Contract

#### Hierarchy

- Contract

- Defined in packages/db/typings/schema.d.ts:423

#####
Index

### Properties

abi
callBytecode
callBytecodeGeneratedSources
compilation
createBytecode
createBytecodeGeneratedSources
id
name
processedSource
type

## Properties

### abi

abi: null | Abi

- Defined in packages/db/typings/schema.d.ts:425

### callBytecode

callBytecode: null | Bytecode

- Defined in packages/db/typings/schema.d.ts:429

### callBytecodeGeneratedSources

callBytecodeGeneratedSources: null | (null | ProcessedSource)[]

- Defined in packages/db/typings/schema.d.ts:430

### compilation

compilation: null | DataModel.Compilation

- Defined in packages/db/typings/schema.d.ts:426

### createBytecode

createBytecode: null | Bytecode

- Defined in packages/db/typings/schema.d.ts:428

### createBytecodeGeneratedSources

createBytecodeGeneratedSources: null | (null | ProcessedSource)[]

- Defined in packages/db/typings/schema.d.ts:431

### id

id: string

- Defined in packages/db/typings/schema.d.ts:432

### name

name: string

- Defined in packages/db/typings/schema.d.ts:424

### processedSource

processedSource: null | ProcessedSource

- Defined in packages/db/typings/schema.d.ts:427

### type

type: string

- Defined in packages/db/typings/schema.d.ts:433

Generated using TypeDoc